=== debian/changelog ===
proxysql (1.4.3-1.1) unstable; urgency=low

  * Update to new upstream release Proxysql 1.4.3-1.1

 -- Percona Jenkins <jenkins@d1stkfactory>  Wed, 04 Oct 2017 11:26:56 +0000

proxysql (1.4.3) unstable; urgency=low

  * Initial Release.

 -- EvgeniyPatlan <evgeniy.patlan@percona.com>  thu, 14 Jul 2016 07:41:56 -0400
