## proxysql 1.4.4-1.1

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #export DEBUG
 #export OPTZ
 #export EXTRALINK
-CURVER?=1.4.3
+CURVER?=1.4.4
 MAKEOPT=-j 4
 DISTRO := $(shell gawk -F= '/^NAME/{print $$2}' /etc/os-release)
 ifeq ($(wildcard /usr/lib/systemd/system), /usr/lib/systemd/system)
