=== deps/Makefile ===
--- 
+++ 
@@ -11,12 +11,23 @@
 
 PROXYSQLCLICKHOUSE := $(shell echo $(PROXYSQLCLICKHOUSE))
 ifeq ($(PROXYSQLCLICKHOUSE),1)
-default: libconfig libdaemon jemalloc mariadb_client re2 sqlite3 pcre clickhouse-cpp lz4 cityhash
+default: libconfig libdaemon jemalloc mariadb_client re2 sqlite3 pcre clickhouse-cpp lz4 cityhash microhttpd curl
 else
-default: libconfig libdaemon jemalloc mariadb_client re2 sqlite3 pcre
+default: libconfig libdaemon jemalloc mariadb_client re2 sqlite3 pcre microhttpd curl
 endif
 .PHONY: default
 
+curl/curl/lib/.libs/libcurl.a:
+	cd curl && rm -rf curl-7.57.0 || true
+	cd curl && tar -zxf curl-7.57.0.tar.gz
+	cd curl/curl && ./configure --disable-debug --disable-ftp --disable-ldap --disable-ldaps --disable-rtsp --disable-proxy --disable-dict --disable-telnet --disable-tftp --disable-pop3 --disable-imap --disable-smb --disable-smtp --disable-gopher --disable-manual --disable-ipv6 --disable-sspi --disable-crypto-auth --disable-ntlm-wb --disable-tls-srp --without-nghttp2 --without-libidn2 && CC=${CC} CXX=${CXX} ${MAKE}
+curl: curl/curl/lib/.libs/libcurl.a
+
+libmicrohttpd/libmicrohttpd/src/microhttpd/.libs/libmicrohttpd.a:
+	cd libmicrohttpd && rm -rf libmicrohttpd-0.9.55 || true
+	cd libmicrohttpd && tar -zxf libmicrohttpd-0.9.55.tar.gz
+	cd libmicrohttpd/libmicrohttpd && ./configure --disable-https && CC=${CC} CXX=${CXX} ${MAKE}
+microhttpd: libmicrohttpd/libmicrohttpd/src/microhttpd/.libs/libmicrohttpd.a
 
 cityhash/cityhash/src/.libs/libcityhash.a:
 	cd cityhash && rm -rf cityhash || true
@@ -58,18 +69,18 @@
 
 
 mariadb-client-library/mariadb_client/include/my_config.h:
-#	cd mariadb-client-library && rm -rf mariadb-connector-c-2.1.0-src
-#	cd mariadb-client-library && tar -zxf mariadb-connector-c-2.1.0-src.tar.gz
 	cd mariadb-client-library && rm -rf mariadb-connector-c-2.3.1
 	cd mariadb-client-library && tar -zxf mariadb-connector-c-2.3.1-src.tar.gz
 	cd mariadb-client-library/mariadb_client && cmake .
+#	cd mariadb-client-library/mariadb_client && cmake . -DOPENSSL_ROOT_DIR=/usr/local/opt/openssl # this is needed on MacOSX
 	cd mariadb-client-library/mariadb_client && patch libmariadb/libmariadb.c < ../libmariadb.c.patch
 	cd mariadb-client-library/mariadb_client && patch libmariadb/net.c < ../net.c.patch
-#	cd mariadb-client-library/mariadb_client && patch libmariadb/mysql_async.c < ../mysql_async.c.patch
+	cd mariadb-client-library/mariadb_client && patch libmariadb/mysql_async.c < ../mysql_async.c.patch
 	cd mariadb-client-library/mariadb_client && patch libmariadb/password.c < ../password.c.patch
 #	cd mariadb-client-library/mariadb_client && patch libmariadb/ma_secure.c < ../ma_secure.c.patch
 	cd mariadb-client-library/mariadb_client && patch include/mysql.h < ../mysql.h.patch
 	cd mariadb-client-library/mariadb_client && patch libmariadb/my_alloc.c < ../my_alloc.c.patch
+	cd mariadb-client-library/mariadb_client && patch libmariadb/my_charset.c < ../my_charset.c.patch
 	cd mariadb-client-library/mariadb_client && CC=${CC} CXX=${CXX} ${MAKE}
 # cd mariadb-client-library/mariadb_client/include && make my_config.h
 
@@ -127,5 +138,7 @@
 	cd sqlite3/sqlite3 && rm -rf * || true
 	cd clickhouse-cpp/clickhouse-cpp && rm -rf * || true
 	cd lz4 && rm -rf lz4-1.7.5 || true
+	cd libmicrohttpd && rm -rf libmicrohttpd-0.9.55 || true
+	cd curl && rm -rf curl-7.57.0 || true
 .PHONY: cleanall
