=== debian/changelog ===
proxysql (1.4.4-1.1) unstable; urgency=low

  * Update to new upstream release Proxysql 1.4.4-1.1

 -- debian-cloud-user <jenkins@minimal-wheezy-x32-4675>  Thu, 04 Jan 2018 06:04:34 -0500

proxysql (1.4.4) unstable; urgency=low

  * Initial Release.

 -- EvgeniyPatlan <evgeniy.patlan@percona.com>  thu, 14 Jul 2016 07:41:56 -0400
