=== contrib/lz4/CMakeLists.txt ===
ADD_LIBRARY (lz4-lib STATIC
    lz4.c
    lz4hc.c
)
