=== debian/changelog ===
proxysql (1.4.8-1.1) unstable; urgency=low

  * Update to new upstream release Proxysql 1.4.8-1.1

 -- debian-cloud-user <jenkins@minimal-wheezy-x32-2826>  Tue, 22 May 2018 14:10:34 +0000

proxysql (1.4.8) unstable; urgency=low

  * Initial Release.

 -- EvgeniyPatlan <evgeniy.patlan@percona.com>  thu, 14 Jul 2016 07:41:56 -0400
