=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: proxysql
 Build-Depends: debhelper (>= 9), debconf, pkg-config, g++, cmake
-Version: 1.4.3
 Maintainer: Rene Cannao <rene.cannao@gmail.com>
 Section: misc
 Priority: optional
