=== debian/rules ===
--- 
+++ 
@@ -66,5 +66,5 @@
 	cp tools/proxysql-admin $(TMP)/proxysql-admin
 	cp tools/proxysql_node_monitor $(TMP)/proxysql_node_monitor
 	cp tools/proxysql-logrotate $(TMP)/proxysql-logrotate
+	cp tools/proxysql-status $(TMP)/proxysql-status
 
-
