=== debian/changelog ===
proxysql (1.4.9-1.1) unstable; urgency=low

  * Update to new upstream release Proxysql 1.4.9-1.1

 -- debian-cloud-user <jenkins@minimal-wheezy-x32-1231>  Mon, 16 Jul 2018 03:28:08 -0400

proxysql (1.4.9) unstable; urgency=low

  * Initial Release.

 -- EvgeniyPatlan <evgeniy.patlan@percona.com>  thu, 14 Jul 2016 07:41:56 -0400
